import { Validate } from "react-hook-form";

export type CreateFieldType = 'string' | 'number' | 'date' | 'dateTime' | 'boolean' | 'singleSelect' | 'actions' | 'custom'
export type InputType = 'password'

export interface CreateField {
    key: string;
    headerName?: string;
    type: CreateFieldType;
    required?: boolean;
    defaultValue?: any;
    inputType?: InputType;
    validate?: Validate<string, boolean>;
    /** Watch for field */
    watch?: string;
    /** Message on watch */
    watchMessage?: string;
    /** Should field be included in the request */
    include?: boolean;
}